/*
 * Copyright (c) 2002, Roscoe Rush. All Rights Reserved.
 *
 * The contents of this file are subject to the Common Public License
 * Version 0.5 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.eclipse.org/
 *
 */
package com.r2tech.eclipse.antview.actions;

import java.util.Enumeration;
import java.util.Vector;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.resource.ImageDescriptor;

import com.r2tech.eclipse.antview.AntviewPlugin;
import com.r2tech.eclipse.antview.tree.TreeNode;
import com.r2tech.eclipse.antview.views.AntView;
import com.r2tech.eclipse.antview.views.AntViewContentProvider;

public class ClearAction extends Action {
	/**
	 * Constructor for ClearAction
	 */
	public ClearAction(String label, ImageDescriptor imageDescriptor) {
		super(label, imageDescriptor);
		setToolTipText(label);
	}

	/**
	 * @see Action#run()
	 */
	public void run() {
        AntView antView = AntviewPlugin.getDefault().getAntView();
		AntViewContentProvider viewContentProvider =  antView.getViewContentProvider();
       
        viewContentProvider.clear();
		
		antView.refresh();
	}
}