/*
 * Copyright (c) 2002, Roscoe Rush. All Rights Reserved.
 *
 * The contents of this file are subject to the Common Public License
 * Version 0.5 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.eclipse.org/
 *
 */
package com.r2tech.eclipse.antview.actions;

import org.eclipse.jface.action.Action;

import com.r2tech.eclipse.antview.AntviewPlugin;
import com.r2tech.eclipse.antview.core.IConstants;
import com.r2tech.eclipse.antview.preferences.Preferences;
import com.r2tech.eclipse.antview.views.AntView;

public class MsgLvlAction extends Action {
	private String displayLevel;

	/**
	 * Constructor for Action
	 */
	public MsgLvlAction(String label, String displayLevel) {
		super(label);
		this.displayLevel = displayLevel;
	}

	/**
	 * @see Action#run()
	 */
	public void run() {
        AntView antView = AntviewPlugin.getDefault().getAntView();
		Action prevLevelAction = (Action) antView.getMsgLevelAction(
		            Preferences.getString(IConstants.PREF_ANT_DISPLAY));
		if (null != prevLevelAction) prevLevelAction.setChecked(false);
		Preferences.setString(IConstants.PREF_ANT_DISPLAY, displayLevel);
		setChecked(true);
	}
}