/*
 * Copyright (c) 2002, Roscoe Rush. All Rights Reserved.
 *
 * The contents of this file are subject to the Common Public License
 * Version 0.5 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.eclipse.org/
 *
 */
package com.r2tech.eclipse.antview.preferences;

import org.eclipse.jface.preference.IPreferenceStore;

import com.r2tech.eclipse.antview.AntviewPlugin;
import com.r2tech.eclipse.antview.core.IConstants;

public class Preferences {
	/**
	 * Method setDefaults.
	 */
	public static void setDefaults() { 
		IPreferenceStore store = getPreferenceStore();
		store.setDefault(IConstants.PREF_ANT_DISPLAY,     IConstants.ANT_DISPLAYLVL_INFO);
		store.setDefault(IConstants.PREF_PROJECT_DISPLAY, IConstants.PROJECT_DISPLAY_DIRLOC);
		store.setDefault(IConstants.PREF_TARGET_DISPLAY,  IConstants.TARGET_DISPLAY_NAMEATTR);
		store.setDefault(IConstants.PREF_TARGET_FILTER,   IConstants.TARGET_FILTER_NONE);
		store.setDefault(IConstants.PREF_ANT_BUILD_FILE,  org.apache.tools.ant.Main.DEFAULT_BUILD_FILENAME);
	}
	/**
	 * Method getString.
	 * @param key
	 * @return String
	 */
	public static String getString(String key) { 
		IPreferenceStore store = getPreferenceStore();
		return store.getString(key);	
	}	
	/**
	 * Method setString.
	 * @param key
	 * @param value
	 */
	public static void setString(String key, String value) {	
		IPreferenceStore store = getPreferenceStore();
		store.setValue(key,value);
	}
	/**
	 * Method getPreferenceStore.
	 * @return IPreferenceStore
	 */
	public static IPreferenceStore getPreferenceStore() { 
		return AntviewPlugin.getDefault().getPreferenceStore();
	}
}
